#ifndef GROUP_H
#define GROUP_H  1


/* ========================================================================== */
/* Include files */

#include "core.h"


/*! \addtogroup GROUPHANDLING */
/* @{ */


/* @} */


/* ========================================================================== */
/* Function prototypes */

extern void  group_init(void);
extern void  group_exit(void);
extern int  group_article_range_constructor(struct core_range**,
                                            core_anum_t,  core_anum_t,
                                            struct core_range*);
extern void  group_article_range_destructor(struct core_range**);
extern int  group_add(struct core_groupstate*);
extern int  group_get_list(size_t*, struct core_groupstate**);
extern int  group_set_list(size_t, struct core_groupstate*);
extern int  group_sort_list(void);
extern void  group_destroy_list(size_t*, struct core_groupstate**);
extern int  group_reset_states(void);


#endif  /* GROUP_H */

/* EOF */
